Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 636384 (CVE-2016-10075) - <dev-python/tqdm-4.23.3: Arbitrary code execution vulnerability (CVE-2016-10075)
Summary: <dev-python/tqdm-4.23.3: Arbitrary code execution vulnerability (CVE-2016-10075)
Status: RESOLVED FIXED
Alias: CVE-2016-10075
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-03 14:43 UTC by GLSAMaker/CVETool Bot
Modified: 2018-07-18 04:00 UTC (History)
2 users (show)

See Also:
Package list:
dev-python/tqdm-4.23.3
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2017-11-03 14:43:21 UTC
CVE-2016-10075 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-10075):
  The tqdm._version module in tqdm versions 4.4.1 and 4.10 allows local users
  to execute arbitrary code via a crafted repo with a malicious git log in the
  current working directory.
Comment 1 Christopher Díaz Riveros (RETIRED) gentoo-dev Security 2017-11-03 14:46:09 UTC
@Maintainer please call for stabilization when a fixed version is available.

Thank you
Comment 2 Agostino Sarubbo gentoo-dev 2018-06-28 08:03:13 UTC
amd64 stable
Comment 3 Thomas Deutschmann gentoo-dev Security 2018-07-02 00:53:03 UTC
x86 stable
Comment 4 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2018-07-02 03:06:20 UTC
GLSA request filed

@maintainer(s), please clean.
Comment 5 Larry the Git Cow gentoo-dev 2018-07-11 13:17:15 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0533e6d1bf1a12c1b26d94af77ad23067a18a2ae

commit 0533e6d1bf1a12c1b26d94af77ad23067a18a2ae
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2018-07-11 13:16:54 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2018-07-11 13:16:54 +0000

    dev-python/tqdm: Drop old
    
    Bug: https://bugs.gentoo.org/636384
    Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/tqdm/Manifest           |  1 -
 dev-python/tqdm/tqdm-4.10.0.ebuild | 20 --------------------
 2 files changed, 21 deletions(-)
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2018-07-18 04:00:25 UTC
This issue was resolved and addressed in
 GLSA 201807-01 at https://security.gentoo.org/glsa/201807-01
by GLSA coordinator Aaron Bauman (b-man).